Last Comment Bug 314354 - Print from Message Window with .EML file => crash [@ nsMailboxService::FetchMessage]
: Print from Message Window with .EML file => crash [@ nsMailboxService::Fetc...
Status: VERIFIED FIXED
: crash, fixed1.8
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 Windows 2000
: -- critical (vote)
: ---
Assigned To: David :Bienvenu
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-29 13:55 PDT by Mike Cowperthwaite
Modified: 2008-07-31 01:21 PDT (History)
3 users (show)
mscott: blocking1.8rc2+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (1.22 KB, patch)
2005-10-31 08:58 PST, David :Bienvenu
mscott: superreview+
asa: approval1.8rc2+
Details | Diff | Splinter Review

Description Mike Cowperthwaite 2005-10-29 13:55:08 PDT
TB 1.5b2-1006, TB 1.6a1-1028, Win2K

Open any .EML file.  From the message window, select   File | Print   or
File | Print Preview.  Program crashes.

Talkback (Print Preview, 1.6a1): TB11226422G
Comment 1 timeless 2005-10-29 20:21:30 PDT
Incident ID: 11226422
Stack Signature	nsMailboxService::FetchMessage b2c95563
Product ID	ThunderbirdTrunk
Build ID	2005102808
Trigger Time	2005-10-29 13:50:02.0
Platform	Win32
Operating System	Windows NT 5.0 build 2195
Module	thunderbird.exe + (004f2c53)
URL visited	
User Comments	Opened a .EML file from disk; selected File|Print Preview
Since Last Crash	1393 sec
Total Uptime	23921 sec
Trigger Reason	Access violation
Source File, Line No.	e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mailnews/local/src/nsMailboxService.cpp, line 215
Stack Trace 	
nsMailboxService::FetchMessage  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mailnews/local/src/nsMailboxService.cpp, line 215]
nsMailboxService::DisplayMessageForPrinting  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mailnews/local/src/nsMailboxService.cpp, line 591]
nsMsgPrintEngine::FireThatLoadOperation  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mailnews/base/src/nsMsgPrintEngine.cpp, line 553]
nsMsgPrintEngine::Observe  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mailnews/base/src/nsMsgPrintEngine.cpp, line 887]
XPCWrappedNative::CallMethod  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp, line 2139]
XPC_WN_CallMethod  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/xpconnect/src/xpcwrappednativejsops.cpp, line 1444]
js_Invoke  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 1177]
js_Interpret  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 3507]
js_Invoke  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 1197]
js_InternalInvoke  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/jsinterp.c, line 1274]
JS_CallFunctionValue  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/js/src/jsapi.c, line 4163]
nsJSContext::CallEventHandler  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/dom/src/base/nsJSEnvironment.cpp, line 1422]
nsGlobalWindow::RunTimeout  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/dom/src/base/nsGlobalWindow.cpp, line 6212]
nsGlobalWindow::TimerCallback  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/dom/src/base/nsGlobalWindow.cpp, line 6570]
nsAppStartup::Run  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/toolkit/components/startup/src/nsAppStartup.cpp, line 162]
main  [e:/builds/tinderbox/thunderbird-trunk/WINNT_5.0_Depend/mozilla/mail/app/nsMailApp.cpp, line 62]
KERNEL32.dll + 0x28989 (0x7c598989)
Comment 2 David :Bienvenu 2005-10-30 20:34:04 PST
taking
Comment 3 Hermann Schwab 2005-10-31 05:10:04 PST
regressed between 
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.9a1) Gecko/2005091204 SeaMonkey/1.1a
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.9a1) Gecko/2005091706 SeaMonkey/1.1a

TB11279943H,TB11280751W,TB11281169E,TB11282587H
Comment 5 David :Bienvenu 2005-10-31 08:58:15 PST
Created attachment 201428 [details] [diff] [review]
proposed fix

this fixes the crash, and print/print preview both work with the change.
Comment 6 David :Bienvenu 2005-10-31 09:06:09 PST
I think the 1.8 branch has this bug too, so if we respin, I think we should take a fix for this.
Comment 7 David :Bienvenu 2005-10-31 09:35:17 PST
fixed on trunk.
Comment 8 Scott MacGregor 2005-10-31 11:03:14 PST
ride along candidate. No impact to Firefox.
Comment 9 Scott MacGregor 2005-11-01 09:35:03 PST
flag clean up.
Comment 10 Hermann Schwab 2005-11-01 10:27:18 PST
crash WIN98SE BuildID 2005103110  
WFM Tinderbox BuildID 2005103121
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.9a1) Gecko/20051031 SeaMonkey/1.1a

Note You need to log in before you can comment on or make changes to this bug.